<< filtfilt | FOSSEE_Signal_Processing_Toolbox | filtord >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > filtic

# filtic

Find the initial conditions for the delays in the transposed direct-form II filter implementation.

### Syntax

    zf = filtic(b, a, y)
    zf = filtic(b, a, y, x)

### Parameters

b:

  Vector of real or complex numbers. Represents the numerator coefficients of the filter's transfer function.

a:

  Vector of real or complex numbers. Represents the denominator coefficients of the filter's transfer function.

y:

  Vector of real or complex numbers. Represents the initial output values.

x:

  Vector of real or complex numbers (optional). Represents the initial input values. Defaults to an empty vector if not provided.

zf:

  Vector. The initial conditions for the delays in the transposed direct-form II filter implementation.

### Description

This function finds the initial conditions for the delays in the transposed direct-form II filter implementation. The vectors `b` and `a` represent the numerator and denominator coefficients of the filter's transfer function.

### Examples

    zf = filtic([%i, 1, -%i, 5], [1, 2, 3*%i], [0.8*%i, 7, 9])

Report an issue
<< filtfilt | FOSSEE_Signal_Processing_Toolbox | filtord >>